import 'package:be_happy/domain/repositories/pin_repository.dart';

import '../repositories/auth_repository.dart';

class IsPinSetUsecase {
  final PinRepository repository;

  IsPinSetUsecase(this.repository);

  Future<bool> call() async {
    if (await repository.getSavedPin() == null) {
      return false;
    } else {
      return true;
    }
  }
}
